Photoshop Plugins on Photoshop 2021 on Mac not showing in Filters

New Here ,
Apr 21, 2021 Apr 21, 2021

Copy link to clipboard

Copied

Hi,

I have a new mac mini m1 and have installed a Adobe Photoshop 2021.

Neither Topaz or DXO Niktool plugins are working.

I have tried everything - the plugins are in the correct Adobe folder but neither show under Filters.

Unable to use either.

 

Adobe - something is broke as this should not be happening on total clean install.

 

Is there a fix for this please as its not good?

TOPICS
How to, Mac, Performance, Problem or error

Views

753

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct Answer

Adobe Community Professional , Apr 21, 2021 Apr 21, 2021
From the Topaz site: "PHOTOSHOP PLUGIN NOT WORKING ON M1/SILICON MACS: If you recently updated your Photoshop to version 22.3 on your M1 device and can no longer see our plugins please know there is a conflict between Adobe and Apple preventing the use of our plugins on M1 devices. While waiting for this to be resolved, you can revert back to the previous version of Photoshop if necessary and our plugins should function again. Thank you for your patience while we await Adobe and Apple's changes...

Likes

Translate

Translate
Adobe Community Professional ,
Apr 21, 2021 Apr 21, 2021

Copy link to clipboard

Copied

From the Topaz site:

"PHOTOSHOP PLUGIN NOT WORKING ON M1/SILICON MACS: If you recently updated your Photoshop to version 22.3 on your M1 device and can no longer see our plugins please know there is a conflict between Adobe and Apple preventing the use of our plugins on M1 devices. While waiting for this to be resolved, you can revert back to the previous version of Photoshop if necessary and our plugins should function again. Thank you for your patience while we await Adobe and Apple's changes."

 

Kevin Stohlmeyer Adobe Community Professional/Adobe Certified Instructor

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Apr 21, 2021 Apr 21, 2021

Copy link to clipboard

Copied

Hi Kevin,

 

Thank you for the quick reply.

 

I have reverted to a previous version and both plugins are now working.

 

Thanks for your support,

 

Much appreciated.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jun 04, 2021 Jun 04, 2021

Copy link to clipboard

Copied

has this been fixed and tested?

thanks,

mike

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Jun 04, 2021 Jun 04, 2021

Copy link to clipboard

Copied

Each plug-in maker needs to make new plug-ins specifically for M1. Old plug-ins cannot be used. You need to check with each plug-in maker for every plug-in. 

 

(This is not a bug or a conflict, but inevtiable each time Apple make a new kind of Mac).

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Jun 04, 2021 Jun 04, 2021

Copy link to clipboard

Copied

Hi Mike - you'll have to check with Topaz. The ball is in their court. 

Kevin Stohlmeyer Adobe Community Professional/Adobe Certified Instructor

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jun 04, 2021 Jun 04, 2021

Copy link to clipboard

Copied

Yes, their website says they work with M1 now, at least noise and sharpen.  I was hoping someone here has installed them and could verify they work.  I've been holding off on upgrading PS until I know they work

thanks

mike

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jun 04, 2021 Jun 04, 2021

Copy link to clipboard

Copied

Hi All,

 

I followed the advice and rolled back the version to Adobe Photoshop Version: 22.2.0 20210202.r.183 2021/02/02: a176e5849fa x64 using Creative Cloud ( as advised you can choose an older version).

The latest version of Denoise (the plugin) works fine without any issues with the above version.

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Jun 04, 2021 Jun 04, 2021

Copy link to clipboard

Copied

LATEST

Presumably that isn't an M1 app and runs under Rosetta. For probably at least a year it will be a choice of running under M1 native or having plug-ins.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines